import babel from 'rollup-plugin-babel'
import resolve from 'rollup-plugin-node-resolve'
import commonjs from 'rollup-plugin-commonjs'

import pkg from './package.json'


export default {
    input: 'src/index.js',
    external: ['lodash'],
    output: [
      {
        file: pkg.main,
        format: 'cjs',
      },
      {
        file: pkg.module,
        format: 'es',
      }
    ],
    plugins: [
      babel({
        exclude: 'node_modules/**',
      }),
    ],
}
